searchNodes=[{"ref":"Tint.html","title":"Tint","type":"module","doc":"A library allowing calculations with colors and conversions between different colorspaces."},{"ref":"Tint.html#to_cmyk/1","title":"Tint.to_cmyk/1","type":"function","doc":"Converts the given color to CMYK colorspace. Example iex&gt; Tint.to_cmyk(Tint.RGB.new(40, 66, 67)) #Tint.CMYK&lt;40.2%,1.4%,0%,73.7%&gt;"},{"ref":"Tint.html#to_hsv/1","title":"Tint.to_hsv/1","type":"function","doc":"Converts the given color to HSV colorspace. Example iex&gt; Tint.to_hsv(Tint.RGB.new(255, 127, 30)) #Tint.HSV&lt;25.8°,88.2%,100%&gt;"},{"ref":"Tint.html#to_rgb/1","title":"Tint.to_rgb/1","type":"function","doc":"Converts the given color to RGB colorspace. Example iex&gt; Tint.to_rgb(Tint.HSV.new(25.8, 0.882, 1)) #Tint.RGB&lt;255,127,30&gt;"},{"ref":"Tint.html#t:color/0","title":"Tint.color/0","type":"type","doc":"A type representing a color."},{"ref":"Tint.OutOfRangeError.html","title":"Tint.OutOfRangeError","type":"exception","doc":"An exception that is returned or raised when a color is built with values that are out of the permitted range of values."},{"ref":"Tint.OutOfRangeError.html#t:t/0","title":"Tint.OutOfRangeError.t/0","type":"type","doc":""},{"ref":"Tint.Sigil.html","title":"Tint.Sigil","type":"module","doc":"A module providing a sigil to build colors."},{"ref":"Tint.Sigil.html#sigil_K/2","title":"Tint.Sigil.sigil_K/2","type":"function","doc":"A sigil to build a color. The sigil identifier is K (try using &quot;kolor&quot; as mnemonic) because C is already taken by the built-in charlist sigil. Examples First you need to import this particular module. import Tint.Sigil You can build a RGB color using a hex code, just like Tint.RGB.from_hex/1 does: iex&gt; ~K[#FFCC00] #Tint.RGB&lt;255,204,0&gt; Or using the red, green and blue components using the r modifier. iex&gt; ~K[255,204,0]r #Tint.RGB&lt;255,204,0&gt; HSV colors are also supported using the h modifier. iex&gt; ~K[48,1,1]h #Tint.HSV&lt;48°,100%,100%&gt;"},{"ref":"Tint.CMYK.html","title":"Tint.CMYK","type":"module","doc":"A color in the CMYK (cyan, magenta, yellow, key) colorspace."},{"ref":"Tint.CMYK.html#from_tuple/1","title":"Tint.CMYK.from_tuple/1","type":"function","doc":"Converts a tuple containing cyan, magenta, yellow and key color parts into a Tint.CMYK struct."},{"ref":"Tint.CMYK.html#new/4","title":"Tint.CMYK.new/4","type":"function","doc":"Builds a new CMYK color from cyan, magenta, yellow and key color parts. Please always use this function to build a new CMYK color. Examples iex&gt; Tint.CMYK.new(0.06, 0.32, 0.8846, 0.23) #Tint.CMYK&lt;6%,32%,88.4%,23%&gt; iex&gt; Tint.CMYK.new(0.06, 3.2, 0.8846, 0.23) ** (Tint.OutOfRangeError) Value 3.2 is out of range [0,1]"},{"ref":"Tint.CMYK.html#to_tuple/1","title":"Tint.CMYK.to_tuple/1","type":"function","doc":"Converts CMYK color into a tuple containing the cyan, magenta, yellow and key parts."},{"ref":"Tint.CMYK.html#t:t/0","title":"Tint.CMYK.t/0","type":"type","doc":""},{"ref":"Tint.HSV.html","title":"Tint.HSV","type":"module","doc":"A color in the HSV (hue, saturation, value) colorspace."},{"ref":"Tint.HSV.html#from_tuple/1","title":"Tint.HSV.from_tuple/1","type":"function","doc":"Converts a tuple containing hue, saturation and value into a Tint.HSV struct."},{"ref":"Tint.HSV.html#new/3","title":"Tint.HSV.new/3","type":"function","doc":"Builds a new HSV color from hue, saturation and value color parts. Please always use this function to build a new HSV color. Examples iex&gt; Tint.HSV.new(25.8, 0.882, 1) #Tint.HSV&lt;25.8°,88.2%,100%&gt;"},{"ref":"Tint.HSV.html#to_tuple/1","title":"Tint.HSV.to_tuple/1","type":"function","doc":"Converts HSV color into a tuple containing the hue, saturation and value parts."},{"ref":"Tint.HSV.html#t:t/0","title":"Tint.HSV.t/0","type":"type","doc":""},{"ref":"Tint.RGB.html","title":"Tint.RGB","type":"module","doc":"A color in the RGB (red, green, blue) colorspace."},{"ref":"Tint.RGB.html#euclidean_distance/3","title":"Tint.RGB.euclidean_distance/3","type":"function","doc":"Calculates the distance of two colors using the Euclidean distance algorithm. Options :weights - A tuple defining the weights for the red, green and blue color components. Defaults to {1, 1, 1}."},{"ref":"Tint.RGB.html#from_hex/1","title":"Tint.RGB.from_hex/1","type":"function","doc":"Builds a new RGB color from the given hex code. Examples iex&gt; Tint.RGB.from_hex(&quot;#FF7F1E&quot;) {:ok, %Tint.RGB{red: 255, green: 127, blue: 30}} iex&gt; Tint.RGB.from_hex(&quot;invalid&quot;) :error"},{"ref":"Tint.RGB.html#from_hex!/1","title":"Tint.RGB.from_hex!/1","type":"function","doc":"Builds a new RGB color from the given hex code. Raises when the given hex code is invalid. Examples iex&gt; Tint.RGB.from_hex!(&quot;#FF7F1E&quot;) #Tint.RGB&lt;255,127,30&gt; iex&gt; Tint.RGB.from_hex!(&quot;invalid&quot;) ** (ArgumentError) Invalid hex code: invalid"},{"ref":"Tint.RGB.html#from_ratios/3","title":"Tint.RGB.from_ratios/3","type":"function","doc":"Builds a new RGB color from red, green and blue color ratios. Example iex&gt; Tint.RGB.from_ratios(1, 0.5, 0) #Tint.RGB&lt;255,128,0&gt;"},{"ref":"Tint.RGB.html#from_tuple/1","title":"Tint.RGB.from_tuple/1","type":"function","doc":"Converts a tuple containing hue, saturation and value into a Tint.RGB struct. Example iex&gt; Tint.RGB.from_tuple({255, 127, 30}) #Tint.RGB&lt;255,127,30&gt;"},{"ref":"Tint.RGB.html#human_euclidean_distance/2","title":"Tint.RGB.human_euclidean_distance/2","type":"function","doc":"A version of the Euclidean distance algorithm that uses weights that are optimized for human color perception."},{"ref":"Tint.RGB.html#nearest/3","title":"Tint.RGB.nearest/3","type":"function","doc":"Finds the nearest color for the specified color using the given color palette and an optional distance algorithm."},{"ref":"Tint.RGB.html#new/3","title":"Tint.RGB.new/3","type":"function","doc":"Builds a new RGB color from red, green and blue color parts. Please always use this function to build a new RGB color. Examples iex&gt; Tint.RGB.new(0, 0, 0) #Tint.RGB&lt;0,0,0&gt; iex&gt; Tint.RGB.new(255, 127, 30) #Tint.RGB&lt;255,127,30&gt; iex&gt; Tint.RGB.new(256, -1, 0) ** (Tint.OutOfRangeError) Value 256 is out of range [0,255]"},{"ref":"Tint.RGB.html#to_hex/1","title":"Tint.RGB.to_hex/1","type":"function","doc":"Converts a RGB color to a hex code. Example iex&gt; Tint.RGB.to_hex(%Tint.RGB{red: 255, green: 127, blue: 30}) &quot;#FF7F1E&quot;"},{"ref":"Tint.RGB.html#to_ratios/1","title":"Tint.RGB.to_ratios/1","type":"function","doc":"Builds a tuple containing the ratios of the red, green and blue components of a given color."},{"ref":"Tint.RGB.html#to_tuple/1","title":"Tint.RGB.to_tuple/1","type":"function","doc":"Converts RGB color into a tuple containing the red, green and blue parts. Example iex&gt; Tint.RGB.to_tuple(%Tint.RGB{red: 255, green: 127, blue: 30}) {255, 127, 30}"},{"ref":"Tint.RGB.html#t:t/0","title":"Tint.RGB.t/0","type":"type","doc":""},{"ref":"Tint.CMYK.Convertible.html","title":"Tint.CMYK.Convertible","type":"protocol","doc":"A protocol that can be implemented by color structs to support CMYK colorspace conversion."},{"ref":"Tint.CMYK.Convertible.html#to_cmyk/1","title":"Tint.CMYK.Convertible.to_cmyk/1","type":"function","doc":"Converts the specified color to the CMYK colorspace."},{"ref":"Tint.CMYK.Convertible.html#t:t/0","title":"Tint.CMYK.Convertible.t/0","type":"type","doc":""},{"ref":"Tint.HSV.Convertible.html","title":"Tint.HSV.Convertible","type":"protocol","doc":"A protocol that can be implemented by color structs to support HSV colorspace conversion."},{"ref":"Tint.HSV.Convertible.html#to_hsv/1","title":"Tint.HSV.Convertible.to_hsv/1","type":"function","doc":"Converts the specified color to the HSV colorspace."},{"ref":"Tint.HSV.Convertible.html#t:t/0","title":"Tint.HSV.Convertible.t/0","type":"type","doc":""},{"ref":"Tint.RGB.Convertible.html","title":"Tint.RGB.Convertible","type":"protocol","doc":"A protocol that can be implemented by color structs to support RGB colorspace conversion."},{"ref":"Tint.RGB.Convertible.html#to_rgb/1","title":"Tint.RGB.Convertible.to_rgb/1","type":"function","doc":"Converts the specified color to the RGB colorspace."},{"ref":"Tint.RGB.Convertible.html#t:t/0","title":"Tint.RGB.Convertible.t/0","type":"type","doc":""},{"ref":"readme.html","title":"Tint","type":"extras","doc":"Tint An Elixir library allowing calculations with colors and conversions between different colorspaces. Currently supports the RGB, CMYK and HSV color models."},{"ref":"readme.html#prerequisites","title":"Tint - Prerequisites","type":"extras","doc":"Elixir 1.7 or greater"},{"ref":"readme.html#installation","title":"Tint - Installation","type":"extras","doc":"The package can be installed by adding tint to your list of dependencies in mix.exs: def deps do [ {:tint, &quot;~&gt; 0.3&quot;} ] end"},{"ref":"readme.html#usage","title":"Tint - Usage","type":"extras","doc":"RGB iex&gt; Tint.RGB.new(255, 0, 0) #Tint.RGB&lt;255,0,0&gt; CMYK iex&gt; Tint.CMYK.new(0.55, 0.26, 0.24, 0.65) #Tint.CMYK&lt;55%,26%,24%,65%&gt; HSV iex&gt; Tint.HSV.new(25.8, 0.882, 1) #Tint.HSV&lt;25.8°,88.2%,100%&gt; Conversion Between Colorspaces iex&gt; rgb = Tint.RGB.new(255, 0, 0) ...&gt; Tint.to_hsv(rgb) #Tint.HSV&lt;0°,100%,100%&gt; Hex Code iex&gt; Tint.RGB.from_hex(&quot;#FF0000&quot;) {:ok, #Tint.RGB&lt;255,0,0&gt;} iex&gt; Tint.RGB.from_hex(&quot;invalid hex code&quot;) :error iex&gt; Tint.RGB.to_hex(Tint.RGB.new(255, 0, 0)) &quot;#FF0000&quot;"},{"ref":"readme.html#docs","title":"Tint - Docs","type":"extras","doc":"The API docs can be found at HexDocs."}]